Subject: Re: git-diff: --ignore-matching-lines has no effect on the output when --name-only is used

From: [email-masked]
Date: Fri, 25 Jul 2025 08:00:23 +0200

> it does not make sense for the answer to be different depending on the
> presense of -w or --ignore-matching options.

does it really not? i thought of `--name-only` as changing the
formatting of the output, as doing something similar to this:

git diff --no-ext-diff ... | grep -P "^(---|\+\+\+)" | cut -d/ -f2- | uniq

a file of which all changes have been filtered by
`--ignore-matching-lines` does not show up in `git diff --no-ext-diff`.
at the moment it appears like `--name-only` puts it back in.
understanding why that happens requires internal knowledge of how it is
implemented, and to me at least it was surprising. nniSell Ikea Eneby :review:

Source: [[notmuch:id:[email-masked]][Original mail]]